POST api/Investor/v1/GetAccountTransactionReport
Request Information
URI Parameters
None.
Body Parameters
GetAccountTransactionReportRequest| Name | Description | Type | Additional information |
|---|---|---|---|
| customerId |
Unique identifier of customer. |
globally unique identifier |
None. |
| accountId |
Account-id for filtering transactions |
globally unique identifier |
None. |
| bookingDateBegin |
Starting date for bookings for filtering transactions |
date |
None. |
| bookingDateEnd |
End date for bookings for filtering transactions |
date |
None. |
| OrganizationCode | string |
None. |
|
| UserName | string |
None. |
|
| Password | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"customerId": "846bc5f8-c89a-4123-8966-49c363706801",
"accountId": "ad53f1e1-4bae-47e4-8a13-cc5b190d29b1",
"bookingDateBegin": "2026-02-26T07:43:57.8639984+00:00",
"bookingDateEnd": "2026-02-26T07:43:57.8639984+00:00",
"OrganizationCode": "sample string 2",
"UserName": "sample string 3",
"Password": "sample string 4"
}
application/xml, text/xml
Sample:
<GetAccountTransactionReportRequest xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/FfApi.Controllers.Investor"> <OrganizationCode xmlns="http://schemas.datacontract.org/2004/07/FfApi.Controllers">sample string 2</OrganizationCode> <Password xmlns="http://schemas.datacontract.org/2004/07/FfApi.Controllers">sample string 4</Password> <UserName xmlns="http://schemas.datacontract.org/2004/07/FfApi.Controllers">sample string 3</UserName> <accountId>ad53f1e1-4bae-47e4-8a13-cc5b190d29b1</accountId> <bookingDateBegin>2026-02-26T07:43:57.8639984+00:00</bookingDateBegin> <bookingDateEnd>2026-02-26T07:43:57.8639984+00:00</bookingDateEnd> <customerId>846bc5f8-c89a-4123-8966-49c363706801</customerId> </GetAccountTransactionReportRequest>
application/x-www-form-urlencoded
Sample:
Response Information
Resource Description
GetAccountTransactionReportReply| Name | Description | Type | Additional information |
|---|---|---|---|
| Reply | AccountTransactionReport |
None. |
|
| Ok | boolean |
None. |
|
| ErrorMessage | string |
None. |
|
| ErrorCode | string |
None. |
|
| Message | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"Reply": {
"Transactions": [
{
"Id": "c0c262d4-ff08-4735-b8b0-6258a215a802",
"AccountNumber": "sample string 2",
"AccountTransactionNumber": "sample string 3",
"AccountId": "c45ec85c-9093-4191-86b8-b1bcd14a4b2b",
"CustomerId": "c76890a2-1ac8-4763-ada8-1f44f2578144",
"CurrencyCode": "sample string 6",
"Amount": 7.0,
"TypeEnum": 0,
"BookingDate": "2026-02-26T07:43:57.8796245+00:00",
"ValueDate": "2026-02-26T07:43:57.8796245+00:00",
"PaymentDate": "2026-02-26T07:43:57.8796245+00:00",
"RegistrationDate": "2026-02-26T07:43:57.8796245+00:00",
"ReverseTime": "2026-02-26T07:43:57.8796245+00:00",
"LoanAllocationId": "9fdc871b-84c3-4ffe-8fc0-b773ceb95051",
"CounterpartySpecification": "sample string 11"
},
{
"Id": "c0c262d4-ff08-4735-b8b0-6258a215a802",
"AccountNumber": "sample string 2",
"AccountTransactionNumber": "sample string 3",
"AccountId": "c45ec85c-9093-4191-86b8-b1bcd14a4b2b",
"CustomerId": "c76890a2-1ac8-4763-ada8-1f44f2578144",
"CurrencyCode": "sample string 6",
"Amount": 7.0,
"TypeEnum": 0,
"BookingDate": "2026-02-26T07:43:57.8796245+00:00",
"ValueDate": "2026-02-26T07:43:57.8796245+00:00",
"PaymentDate": "2026-02-26T07:43:57.8796245+00:00",
"RegistrationDate": "2026-02-26T07:43:57.8796245+00:00",
"ReverseTime": "2026-02-26T07:43:57.8796245+00:00",
"LoanAllocationId": "9fdc871b-84c3-4ffe-8fc0-b773ceb95051",
"CounterpartySpecification": "sample string 11"
}
]
},
"Ok": true,
"ErrorMessage": "sample string 2",
"ErrorCode": "sample string 3",
"Message": "sample string 4"
}
application/xml, text/xml
Sample:
<GetAccountTransactionReportReply xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/FfApi.Controllers.Investor">
<ErrorCode xmlns="http://schemas.datacontract.org/2004/07/FfApi.Controllers">sample string 3</ErrorCode>
<ErrorMessage xmlns="http://schemas.datacontract.org/2004/07/FfApi.Controllers">sample string 2</ErrorMessage>
<Message xmlns="http://schemas.datacontract.org/2004/07/FfApi.Controllers">sample string 4</Message>
<Ok xmlns="http://schemas.datacontract.org/2004/07/FfApi.Controllers">true</Ok>
<Reply>
<Transactions>
<AccountTransaction>
<AccountId>c45ec85c-9093-4191-86b8-b1bcd14a4b2b</AccountId>
<AccountNumber>sample string 2</AccountNumber>
<AccountTransactionNumber>sample string 3</AccountTransactionNumber>
<Amount>7</Amount>
<BookingDate>2026-02-26T07:43:57.8796245+00:00</BookingDate>
<CounterpartySpecification>sample string 11</CounterpartySpecification>
<CurrencyCode>sample string 6</CurrencyCode>
<CustomerId>c76890a2-1ac8-4763-ada8-1f44f2578144</CustomerId>
<Id>c0c262d4-ff08-4735-b8b0-6258a215a802</Id>
<LoanAllocationId>9fdc871b-84c3-4ffe-8fc0-b773ceb95051</LoanAllocationId>
<PaymentDate>2026-02-26T07:43:57.8796245+00:00</PaymentDate>
<RegistrationDate>2026-02-26T07:43:57.8796245+00:00</RegistrationDate>
<ReverseTime>2026-02-26T07:43:57.8796245+00:00</ReverseTime>
<TypeEnum>NULL</TypeEnum>
<ValueDate>2026-02-26T07:43:57.8796245+00:00</ValueDate>
</AccountTransaction>
<AccountTransaction>
<AccountId>c45ec85c-9093-4191-86b8-b1bcd14a4b2b</AccountId>
<AccountNumber>sample string 2</AccountNumber>
<AccountTransactionNumber>sample string 3</AccountTransactionNumber>
<Amount>7</Amount>
<BookingDate>2026-02-26T07:43:57.8796245+00:00</BookingDate>
<CounterpartySpecification>sample string 11</CounterpartySpecification>
<CurrencyCode>sample string 6</CurrencyCode>
<CustomerId>c76890a2-1ac8-4763-ada8-1f44f2578144</CustomerId>
<Id>c0c262d4-ff08-4735-b8b0-6258a215a802</Id>
<LoanAllocationId>9fdc871b-84c3-4ffe-8fc0-b773ceb95051</LoanAllocationId>
<PaymentDate>2026-02-26T07:43:57.8796245+00:00</PaymentDate>
<RegistrationDate>2026-02-26T07:43:57.8796245+00:00</RegistrationDate>
<ReverseTime>2026-02-26T07:43:57.8796245+00:00</ReverseTime>
<TypeEnum>NULL</TypeEnum>
<ValueDate>2026-02-26T07:43:57.8796245+00:00</ValueDate>
</AccountTransaction>
</Transactions>
</Reply>
</GetAccountTransactionReportReply>